using Android.Content;
using Android.Views;
using GMCabsDriverAssistantSolution.CustomControls;
using GMCabsDriverAssistantSolution.Platforms.Android.CustomRenderer;
using Microsoft.Maui.Controls.Compatibility;
using Microsoft.Maui.Controls.Compatibility.Platform.Android;
using Microsoft.Maui.Controls.Platform;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


[assembly: ExportRenderer(typeof(OtpEntry), typeof(OtpEntryRenderer))]
namespace GMCabsDriverAssistantSolution.Platforms.Android.CustomRenderer
{
    public class OtpEntryRenderer : EntryRenderer
    {
        public OtpEntryRenderer(Context context) : base(context)
        {
        }

        public override bool DispatchKeyEvent(KeyEvent e)
        {
            if (e.Action == KeyEventActions.Down)
            {
                if (e.KeyCode == Keycode.Del)
                {
                    if (string.IsNullOrWhiteSpace(Control.Text))
                    {
                        var entry = (OtpEntry)Element;
                        entry.OnBackspacePressed();
                    }
                }
            }
            return base.DispatchKeyEvent(e);
        }

        protected override void OnElementChanged(ElementChangedEventArgs<Entry> e)
        {
            base.OnElementChanged(e);
        }
    }
}
